Posts
Create a post
POST
/
posts
Create a post
curl --request POST \
--url https://tibbie.co/api/v1/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platforms": [
{
"connected_account_id": 123,
"content": "<string>"
}
],
"content": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"media": [
"<string>"
]
}
'import requests
url = "https://tibbie.co/api/v1/posts"
payload = {
"platforms": [
{
"connected_account_id": 123,
"content": "<string>"
}
],
"content": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"media": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platforms: [{connected_account_id: 123, content: '<string>'}],
content: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
media: ['<string>']
})
};
fetch('https://tibbie.co/api/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/posts';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platforms: [{connected_account_id: 123, content: '<string>'}],
content: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
media: ['<string>']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 123,
"content": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator": {
"id": 123,
"name": "<string>"
},
"platforms": [
{
"id": 123,
"connected_account_id": 123,
"provider": "<string>",
"username": "<string>",
"content": "<string>",
"status": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"platform_post_id": "<string>",
"error_message": "<string>"
}
],
"media": [
{
"id": 123,
"url": "<string>",
"file_type": "<string>",
"mime_type": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on February 21, 2026
Was this page helpful?
⌘I
Create a post
curl --request POST \
--url https://tibbie.co/api/v1/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platforms": [
{
"connected_account_id": 123,
"content": "<string>"
}
],
"content": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"media": [
"<string>"
]
}
'import requests
url = "https://tibbie.co/api/v1/posts"
payload = {
"platforms": [
{
"connected_account_id": 123,
"content": "<string>"
}
],
"content": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"media": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platforms: [{connected_account_id: 123, content: '<string>'}],
content: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
media: ['<string>']
})
};
fetch('https://tibbie.co/api/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/posts';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platforms: [{connected_account_id: 123, content: '<string>'}],
content: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
media: ['<string>']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 123,
"content": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator": {
"id": 123,
"name": "<string>"
},
"platforms": [
{
"id": 123,
"connected_account_id": 123,
"provider": "<string>",
"username": "<string>",
"content": "<string>",
"status": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"platform_post_id": "<string>",
"error_message": "<string>"
}
],
"media": [
{
"id": 123,
"url": "<string>",
"file_type": "<string>",
"mime_type": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}